/*
 * Copyright 2000-2013 Vaadin Ltd.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */

package com.vaadin.tests.minitutorials.v7b1;

import com.vaadin.annotations.Widgetset;
import com.vaadin.server.VaadinRequest;
import com.vaadin.tests.components.AbstractTestUI;
import com.vaadin.tests.widgetset.TestingWidgetSet;
import com.vaadin.ui.PasswordField;

@Widgetset(TestingWidgetSet.NAME)
public class ReducingRoundTrips extends AbstractTestUI {
    @Override
    protected void setup(VaadinRequest request) {
        PasswordField passwordField = new PasswordField("Enter password");
        passwordField.setImmediate(true);
        CapsLockWarningWithRpc capsLockWarningWithRpc = new CapsLockWarningWithRpc();

        capsLockWarningWithRpc.extend(passwordField);

        addComponent(passwordField);
    }

    @Override
    protected String getTestDescription() {
        return "Mini tutorial code for https://vaadin.com/wiki/-/wiki/Main/Reducing%20server%20round%20trips%20for%20components";
    }

    @Override
    protected Integer getTicketNumber() {
        return null;
    }

}
