/*
 * Copyright 2012 Vaadin Ltd.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */

package com.vaadin.tests.serialization;

import com.vaadin.server.VaadinRequest;
import com.vaadin.tests.components.AbstractTestUI;
import com.vaadin.ui.Button;
import com.vaadin.ui.Button.ClickEvent;

public class ChangeStateWhenReattaching extends AbstractTestUI {

    @Override
    protected void setup(VaadinRequest request) {
        Button button = new Button("Reattach and remove caption",
                new Button.ClickListener() {
                    @Override
                    public void buttonClick(ClickEvent event) {
                        Button button = event.getButton();
                        removeComponent(button);
                        addComponent(button);
                        button.setCaption(null);
                    }
                });
        addComponent(button);
    }

    @Override
    protected String getTestDescription() {
        return "Clicking the button should remove its caption, even though it is also reattached.";
    }

    @Override
    protected Integer getTicketNumber() {
        return Integer.valueOf(10532);
    }

}
